<section class="col-xs-9 col-md-6">
    <div class="settings-row">
        <p>Order of columns (Hold and drag to change their order)</p>
        <ul [dragula]='"first-bag"' [dragulaModel]='usersArray'>
            <li class="userColumn" *ngFor="let user of usersArray; let userColumnPosition = index">
                <p>
                    <span class="columnLabel">Column:</span>
                    <span>{{ userColumnPosition + 1 }}</span>
                </p>
                <p>
                    <span class="columnLabel">User:</span>
                    <span>{{ user }}</span>
                </p>
            </li>
        </ul>
    </div>
    <div class="settings-row">
        <p>Choose application theme:</p>
        <button (click)="applyTheme('white')" [ngClass]="{'active-theme': applicationSettings.colorTheme === 'white' ? true : false }"
            title="White Theme" class="theme-selection-items bright"></button>
        <button (click)="applyTheme('lightgray')" [ngClass]="{'active-theme': applicationSettings.colorTheme === 'lightgray' ? true : false }"
            title="Dark Theme" class="theme-selection-items dark"></button>
        <button (click)="applyTheme('lightyellow')" [ngClass]="{'active-theme': applicationSettings.colorTheme === 'lightyellow' ? true : false }"
            title="Yellow Theme" class="theme-selection-items yellow"></button>
        <button (click)="applyTheme('lightseagreen')" [ngClass]="{'active-theme': applicationSettings.colorTheme === 'lightseagreen' ? true : false }"
            title="Yellow Theme" class="theme-selection-items lightseagreen"></button>
    </div>
</section>